import 'dart:async';

import 'package:flutter/foundation.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';

import 'package:qyfk/qykf_flutter.dart';

class QYKF extends StatefulWidget {
  final bool isHuman;

  QYKF({this.isHuman});

  @override
  State<StatefulWidget> createState() => _QYKFState();
}

class _QYKFState extends State<QYKF> {
  @override
  Widget build(BuildContext context) {
    // TODO: implement build for android
    Map<String, dynamic> param = {
      'isHuman': widget.isHuman,
    };
    if (defaultTargetPlatform == TargetPlatform.android) {
      return Placeholder();
    } else if (defaultTargetPlatform == TargetPlatform.iOS) {
      return UiKitView(
        viewType: 'qykf/qykf',
        onPlatformViewCreated: null,
        gestureRecognizers: null,
        creationParams: param,
        creationParamsCodec: const StandardMessageCodec(),
      );
    }
    return Text(
        '$defaultTargetPlatform is not yet supported by the webview_flutter plugin');
  }
}